<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ExecutionException' => '\\StructType\\ExecutionException',
            'InterruptedException' => '\\StructType\\InterruptedException',
            'InvalidCredentialsException' => '\\StructType\\InvalidCredentialsException',
            'InvalidDataException' => '\\StructType\\InvalidDataException',
            'RemoteException' => '\\StructType\\RemoteException',
            'StorageException' => '\\StructType\\StorageException',
            'TaskManagerException' => '\\StructType\\TaskManagerException',
            'deleteJob' => '\\StructType\\DeleteJob',
            'flush' => '\\StructType\\Flush',
            'getJobList' => '\\StructType\\GetJobList',
            'getJobListResponse' => '\\StructType\\GetJobListResponse',
            'getTaskResults' => '\\StructType\\GetTaskResults',
            'getTaskResultsResponse' => '\\StructType\\GetTaskResultsResponse',
            'Exception' => '\\StructType\\Exception',
            'IOException' => '\\StructType\\IOException',
            'Context' => '\\StructType\\Context',
            'Database' => '\\StructType\\Database',
            'SOAPStringMapMap' => '\\StructType\\SOAPStringMapMap',
            'SOAPMapEntry' => '\\StructType\\SOAPMapEntry',
            'SOAPStringMap' => '\\StructType\\SOAPStringMap',
            'Entry' => '\\StructType\\Entry',
            'Credentials' => '\\StructType\\Credentials',
        );
    }
}
