<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TaskManagerException StructType
 * @subpackage Structs
 */
class TaskManagerException extends Exception
{
    /**
     * The TaskManagerException
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TaskManagerException
     */
    public $TaskManagerException;
    /**
     * Constructor method for TaskManagerException
     * @uses TaskManagerException::setTaskManagerException()
     * @param \StructType\TaskManagerException $taskManagerException
     */
    public function __construct(\StructType\TaskManagerException $taskManagerException = null)
    {
        $this
            ->setTaskManagerException($taskManagerException);
    }
    /**
     * Get TaskManagerException value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TaskManagerException|null
     */
    public function getTaskManagerException()
    {
        return isset($this->TaskManagerException) ? $this->TaskManagerException : null;
    }
    /**
     * Set TaskManagerException value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\TaskManagerException $taskManagerException
     * @return \StructType\TaskManagerException
     */
    public function setTaskManagerException(\StructType\TaskManagerException $taskManagerException = null)
    {
        if (is_null($taskManagerException) || (is_array($taskManagerException) && empty($taskManagerException))) {
            unset($this->TaskManagerException);
        } else {
            $this->TaskManagerException = $taskManagerException;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\TaskManagerException
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
